Delete a recurring invoice template
DELETE
/partners/recurring-invoice-templates/{uuid}Removes a recurring invoice template and stops future generation.
HMAC signature + Bearer access token
Try this requestPath parameters
uuiduuidrequiredThe template UUID to delete.
Responses
200Template removed.404Recurring invoice template not found.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. TroubleshootDELETE
https://api.getcount.com/partners/recurring-invoice-templates/{uuid}Request
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'DELETE';
const signingPath = '/recurring-invoice-templates/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';
const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/recurring-invoice-templates/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
});
console.log(await response.json());Response · 200
{
"status": "Success",
"message": "Success on removing recurring invoice template",
"data": {
"result": {
"id": "c4d5e6f7-a8b9-0123-cdef-456789012345",
"isDeleted": true
}
}
}